<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Titans: Titans Together</Series>
  <Number>3</Number>
  <Web>https://www.comixology.com/Titans-Titans-Together-3/digital-comic/875503</Web>
  <Summary>A charismatic cult leader has been recruiting followers to join his “church,”a highly suspicious organization locked behind the walls of a private compound. For Raven, freeing this vulnerable flock is imperative...the question is, how can she save people who don’t want to be saved? When reports surface that LexCorp has gained access to confidential government health records, Raven realizes that this could mean the unmasking of countless superheroes. With BeastBoy’s help, shemustinfiltrate LexCorp’sprivate servers and destroy the information beforeit falls into the wrong hands.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB875503]</Notes>
  <Publisher>DC</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>17</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
